import { ContextMenu as ContextMenu$1 } from '@ktmap/map';

interface Options {
}

/**
 *
 */
declare class ContextMenu extends ContextMenu$1 {
    private options;
    static NAME: string;
    constructor(options: Options);
    __init(): void;
}

declare module '@ktmap/map' {
    interface KTMap {
        ContextMenu: typeof ContextMenu;
    }
}

export { ContextMenu };
